| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
ILineAnnotationSummary Interface Reference
PDF » annots » summaries

Summaries of line annotation. More...

Inheritance diagram for ILineAnnotationSummary:

## Public Attributes
string | caption
| The caption shown above the line.
string | end
| end point position
string | head
| line ending style of the start point. Please refer to Ending_Style
number | leaderExtend
| length of leader line extension.
number | leaderLength
| length of the leader line
string | start
| start point position
string | tail
| line ending style of the end point. Please refer to Ending_Style
Public Attributes inherited from IMarkupAnnotationSummary
string | creationdate
| Creation time, format: D:yyyyMMddhhmmssTZ.
string | inreplyto
| Represents a related annotation id. The relationship between the two annotations shall be specified by the replyType entry.
string | intent
| Intent name Some example intent: More...
number | opacity
| Opacity value of an markup annotation.
IPopupAnnotationSummary | popup
| The popup anontation summaries.
string | replyType
| (Meaningful only if inreplyto is present). A name specifying the relationship between this annotation and on specified by inreplyto. Value values are: More...
number | rotation
| Roation angle of this annotation.
string | subject
| Subject string.
string | title
| The title string, By convention, annotation's title can be used to identify the user who added current annotation.
Public Attributes inherited from IAnnotationSummary
string | color
| border color, format: #RRGGBB
string | contents
| text content.
Record< string, any > | customEntries
| custom dictionary entries More...
string | dashes
| A dash array that represents the dash patterns. This property is available when style is 'dashed'. format:"2,2,2,2".
number | dashPhase
| This property is available when style is 'dashed'.
string | date
| Last modified time. format: D:yyyyMMddhhmmssTZ.
string | flags
| annotation flag names, multiple flags are separated by commas. Please refer to Annot_Flags
number | indensity
| Intensity of the cloudy effect. This property is available when style is 'cloudy'.
number | objectNumber
| Unique id.
number | page
| Page index.
string | rect
| Annotation rectangle in PDF coordinate system. format: "${left},${bottom},${right},${top}".
string | style
| border style, It could be one of these values: 'solid', 'dashed', 'underline', 'beveled', 'inset', 'cloudy'
Annot_Type | type
| Annotation type flag. Please refer to Annot_Type.
number | width
| The border width (unit: pt).

## Detailed Description

Summaries of line annotation.

@2025 Foxit Software Incorporated. All rights reserved.